## org.hibernate.envers.tools
Class Triple<T1,T2,T3>

    java.lang.Object
      org.hibernate.envers.tools.Triple<T1,T2,T3>

Type Parameters:
  `T1` -
  `T2` -
  `T3` -

    public class Triple<T1,T2,T3>

extends Object

A triple of objects.

Author:
  Adam Warski (adamw@aster.pl)

Constructor Summary
`Triple(T1 obj1, T2 obj2, T3 obj3)`

Method Summary
`boolean` `equals(Object o)`
`T1` `getFirst()`
`T2` `getSecond()`
`T3` `getThird()`
`int` `hashCode()`

`static

`<T1,T2,T3> Triple<T1,T2,T3>`

`

`make(T1 obj1, T2 obj2, T3 obj3)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Triple

    public Triple(T1 obj1,
                  T2 obj2,
                  T3 obj3)

Method Detail

### getFirst

    public T1 getFirst()

### getSecond

    public T2 getSecond()

### getThird

    public T3 getThird()

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### make

    public static <T1,T2,T3> Triple<T1,T2,T3> make(T1 obj1,
                                                   T2 obj2,
                                                   T3 obj3)

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.